Get Tap Groups
curl --request GET \
--url https://server.stage.overflow.co/api/v3/tap/groups \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://server.stage.overflow.co/api/v3/tap/groups"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://server.stage.overflow.co/api/v3/tap/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "6710f34fd5061afeec3eab58",
"name": "Sunday Service Group",
"destinationId": "6710f34fd5061afeec3eab57",
"destination": {
"id": "6710f34fd5061afeec3eab57",
"name": "Main Giving Page",
"type": "web",
"url": "https://example.com/give",
"textNumber": null,
"textContent": null
},
"deviceIds": [
"6710f34fd5061afeec3eab59"
],
"createdAt": "2026-05-01T17:22:11.421Z",
"updatedAt": "2026-05-04T14:09:32.145Z",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 100
}Get Tap Groups
Returns tap groups for a nonprofit based on the provided filters.
GET
/
api
/
v3
/
tap
/
groups
Get Tap Groups
Authorizations
Client ID for API authentication
API Key for API authentication
Query Parameters
The number of tap groups to return.
Required range:
1 <= x <= 100The page number of the tap groups to return.
Required range:
x >= 1Search tap groups by name.
Example:
"Sunday Service"
Whether to include tap groups that have been archived.
The field to sort the tap groups by.
Available options:
name, createdAt Example:
"createdAt"
The direction to sort the tap groups by.
Available options:
ASC, DESC Example:
"DESC"
Last modified on July 14, 2026
Was this page helpful?